<?php

namespace Drupal\Tests\search_api_lunr\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Tests\search_api_lunr\Kernel\LunrTestingTrait;

/**
 * @group search_api_lunr
 */
class LunrSettingsEndpointTest extends BrowserTestBase {

  use LunrTestingTrait;

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'stark';

  /**
   * The modules array.
   *
   * @var array
   */
  public static $modules = [
    'node',
    'block',
    'user',
    'system',
    'search_api',
    'search_api_lunr',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    $this->createServerIndex();
  }

  /**
   * Test the lunr search.
   */
  public function testSettingsEndpoint() {
    $this->drupalGet('js-search/settings');
    $this->assertSession()->responseContains('{"servers":{"lunr":{"indexes":{"content":{"fileList":');
  }

}
